package com.ruoyi.inventory.domain.vo;

public class InventoryExceedWarnVO {
    /** 物料名 */
    private String materialName;
    /** 所属分类 */
    private String categoryName;
    /** 物料号 */
    private String sapNo;
    /** 库存 */
    private Long quantity;
    /** 最低库存 */
    private Long minStockLevel;
    /** 最高库存 */
    private Long maxStockLevel;

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getSapNo() {
        return sapNo;
    }

    public void setSapNo(String sapNo) {
        this.sapNo = sapNo;
    }

    public Long getQuantity() {
        return quantity;
    }

    public void setQuantity(Long quantity) {
        this.quantity = quantity;
    }

    public Long getMinStockLevel() {
        return minStockLevel;
    }

    public void setMinStockLevel(Long minStockLevel) {
        this.minStockLevel = minStockLevel;
    }

    public Long getMaxStockLevel() {
        return maxStockLevel;
    }

    public void setMaxStockLevel(Long maxStockLevel) {
        this.maxStockLevel = maxStockLevel;
    }

    @Override
    public String toString() {
        return "InventoryExceedWarnVO{" +
                "materialName='" + materialName + '\'' +
                ", categoryName='" + categoryName + '\'' +
                ", sapNo='" + sapNo + '\'' +
                ", quantity=" + quantity +
                ", minStockLevel=" + minStockLevel +
                ", maxStockLevel=" + maxStockLevel +
                '}';
    }
}
